Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/elgamal.h File Reference

ElGamal signature scheme, header. More...

`#include "mp32barrett.h"`

Go to the source code of this file.

## Functions
int | elgv1sign (const mp32barrett *p, const mp32barrett *n, const mp32number *g, randomGeneratorContext *, const mp32number *hm, const mp32number *x, mp32number *r, mp32number *s)
int | elgv3sign (const mp32barrett *p, const mp32barrett *n, const mp32number *g, randomGeneratorContext *, const mp32number *hm, const mp32number *x, mp32number *r, mp32number *s)
int | elgv1vrfy (const mp32barrett *p, const mp32barrett *n, const mp32number *g, const mp32number *hm, const mp32number *y, const mp32number *r, const mp32number *s)
int | elgv3vrfy (const mp32barrett *p, const mp32barrett *n, const mp32number *g, const mp32number *hm, const mp32number *y, const mp32number *r, const mp32number *s)

## Detailed Description

ElGamal signature scheme, header.

Definition in file elgamal.h.

## Function Documentation

int elgv1sign | ( | const mp32barrett * | p,
|  | const mp32barrett * | n,
|  | const mp32number * | g,
|  | randomGeneratorContext * | ,
|  | const mp32number * | hm,
|  | const mp32number * | x,
|  | mp32number * | r,
|  | mp32number * | s
| ) |

| Definition at line 63 of file elgamal.c.

int elgv1vrfy | ( | const mp32barrett * | p,
|  | const mp32barrett * | n,
|  | const mp32number * | g,
|  | const mp32number * | hm,
|  | const mp32number * | y,
|  | const mp32number * | r,
|  | const mp32number * | s
| ) |

| Definition at line 100 of file elgamal.c.

int elgv3sign | ( | const mp32barrett * | p,
|  | const mp32barrett * | n,
|  | const mp32number * | g,
|  | randomGeneratorContext * | ,
|  | const mp32number * | hm,
|  | const mp32number * | x,
|  | mp32number * | r,
|  | mp32number * | s
| ) |

| Definition at line 144 of file elgamal.c.

int elgv3vrfy | ( | const mp32barrett * | p,
|  | const mp32barrett * | n,
|  | const mp32number * | g,
|  | const mp32number * | hm,
|  | const mp32number * | y,
|  | const mp32number * | r,
|  | const mp32number * | s
| ) |

| Definition at line 177 of file elgamal.c.